org.apache.lucene.codecs.ramonly

## Class RAMOnlyPostingsFormat

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.codecs.ramonly.RAMOnlyPostingsFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public final class RAMOnlyPostingsFormat
    extends PostingsFormat

Stores all postings data in RAM, but writes a small token (header + single int) to identify which "slot" the index is using in RAM HashMap. NOTE: this codec sorts terms by reverse-unicode-order!

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`RAMOnlyPostingsFormat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FieldsConsumer` `fieldsConsumer(SegmentWriteState writeState)`
`FieldsProducer` `fieldsProducer(SegmentReadState readState)`

### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

`availablePostingsFormats, forName, getName, reloadPostingsFormats, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RAMOnlyPostingsFormat

    public RAMOnlyPostingsFormat()

### Method Detail

#### fieldsConsumer

    public FieldsConsumer fieldsConsumer(SegmentWriteState writeState)
                                  throws IOException

Specified by:
  `fieldsConsumer` in class `PostingsFormat`
Throws:
  `IOException`

#### fieldsProducer

    public FieldsProducer fieldsProducer(SegmentReadState readState)
                                  throws IOException

Specified by:
  `fieldsProducer` in class `PostingsFormat`
Throws:
  `IOException`